Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl
Class DeployedUnitImpl

    java.lang.Object
      org.jbpm.kie.services.impl.DeployedUnitImpl

All Implemented Interfaces:
  org.kie.internal.deployment.DeployedUnit

    public class DeployedUnitImpl

extends Object
implements org.kie.internal.deployment.DeployedUnit

Constructor Summary
`DeployedUnitImpl(org.kie.internal.deployment.DeploymentUnit unit)`

Method Summary
`void` | `addAssetLocation(String assetId, ProcessAssetDesc processAsset)`
`void` | `addClass(Class<?> kModuleClass)`
`String` | `getDeployedAssetLocation(String assetId)`
`Collection<org.kie.internal.deployment.DeployedAsset>` | `getDeployedAssets()`
`Collection<Class<?>>` | `getDeployedClasses()`
`org.kie.internal.deployment.DeploymentUnit` | `getDeploymentUnit()`
`RuntimeManager` | `getRuntimeManager()`
`void` | `setRuntimeManager(RuntimeManager manager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeployedUnitImpl

    public DeployedUnitImpl(org.kie.internal.deployment.DeploymentUnit unit)

Method Detail

### getDeploymentUnit

    public org.kie.internal.deployment.DeploymentUnit getDeploymentUnit()

  Specified by:
    `getDeploymentUnit` in interface `org.kie.internal.deployment.DeployedUnit`

### getDeployedAssetLocation

    public String getDeployedAssetLocation(String assetId)

  Specified by:
    `getDeployedAssetLocation` in interface `org.kie.internal.deployment.DeployedUnit`

### getRuntimeManager

    public RuntimeManager getRuntimeManager()

  Specified by:
    `getRuntimeManager` in interface `org.kie.internal.deployment.DeployedUnit`

### addAssetLocation

    public void addAssetLocation(String assetId,
                                 ProcessAssetDesc processAsset)

### addClass

    public void addClass(Class<?> kModuleClass)

### setRuntimeManager

    public void setRuntimeManager(RuntimeManager manager)

### getDeployedAssets

    public Collection<org.kie.internal.deployment.DeployedAsset> getDeployedAssets()

  Specified by:
    `getDeployedAssets` in interface `org.kie.internal.deployment.DeployedUnit`

### getDeployedClasses

    public Collection<Class<?>> getDeployedClasses()

  Specified by:
    `getDeployedClasses` in interface `org.kie.internal.deployment.DeployedUnit`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.